@mixin flex-center() {
  @include display-flex;
  @include justify-content(center);
  @include align-items(center);
}

@mixin text-overflow-ellipsis() {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

@mixin keyframes($name) {
  @-webkit-keyframes #{$name} {
    @content;
  }

  @-moz-keyframes #{$name} {
    @content;
  }

  @-ms-keyframes #{$name} {
    @content;
  }

  @-o-keyframes #{$name} {
    @content;
  }

  @keyframes #{$name} {
    @content;
  }
}

@mixin animation(
  $name,
  $duration,
  $timing-function: false,
  $delay: false,
  $iteration-count: false,
  $direction: false
) {
  @include experimental(
    animation-name,
    $name,
    -moz,
    -webkit,
    -o,
    -ms,
    not -khtml,
    official
  );
  @include experimental(
    animation-duration,
    $duration,
    -moz,
    -webkit,
    -o,
    -ms,
    not -khtml,
    official
  );

  @if $timing-function {
    @include experimental(
      animation-timing-function,
      $timing-function,
      -moz,
      -webkit,
      -o,
      -ms,
      not -khtml,
      official
    );
  }

  @if $delay {
    @include experimental(
      animation-delay,
      $delay,
      -moz,
      -webkit,
      -o,
      -ms,
      not -khtml,
      official
    );
  }

  @if $iteration-count {
    @include experimental(
      animation-iteration-count,
      $iteration-count,
      -moz,
      -webkit,
      -o,
      -ms,
      not -khtml,
      official
    );
  }

  @if $direction {
    @include experimental(
      animation-direction,
      $direction,
      -moz,
      -webkit,
      -o,
      -ms,
      not -khtml,
      official
    );
  }
}

@mixin responsive($medias) {
  @each $media in $medias {
    @if $media == smallMobile {
      @media #{$smallMobile} { @content; }
    }
    @else if $media == mobile {
      @media #{$mobile} { @content; }
    }
    @else if $media == largeMobile {
      @media #{$largeMobile} { @content; }
    }
    @else if $media == smallTablet {
      @media #{$smallTablet} { @content; }
    }
    @else if $media == largeTablet {
      @media #{$largeTablet} { @content; }
    }
    @else if $media == tablet {
      @media #{$tablet} { @content; }
    }
    @else if $media == desktop {
      @media #{$desktop} { @content; }
    }
    @else if $media == smallDesktop {
      @media #{$smallDesktop} { @content; }
    }
    @else if $media == largeDesktop {
      @media #{$largeDesktop} { @content; }
    }
  }
}
